# sf::Joy Namespace Reference

Definition of joystick axis for joystick events. More...

## Enumerations

enum | Axis { AxisX, AxisY, AxisZ, AxisR, AxisU, AxisV, AxisPOV, AxisCount }
enum | { Count = 4, ButtonCount = 32 }

## Detailed Description

Definition of joystick axis for joystick events.

## Enumeration Type Documentation

anonymous enum

Enumerator:

  Count | Total number of supported joysticks.
  ButtonCount | Total number of supported joystick buttons.

Definition at line 186 of file Event.hpp.